Index: src/css.c
===================================================================
RCS file: /var/cvs/videolan/libdvdcss/src/css.c,v
retrieving revision 1.24
diff -u -r1.24 css.c
--- src/css.c	4 Feb 2003 11:54:36 -0000	1.24
+++ src/css.c	20 Mar 2003 00:47:33 -0000
@@ -426,7 +426,9 @@
     if( ioctl_ReadDiscKey( dvdcss->i_fd, &dvdcss->css.i_agid, p_buffer ) < 0 )
     {
         _dvdcss_error( dvdcss, "ioctl ReadDiscKey failed" );
-        return -1;
+        dvdcss->i_method = DVDCSS_METHOD_TITLE;
+        memset( dvdcss->css.p_disc_key, 0, KEY_SIZE );
+        return 0;
     }
 
     /* This should have invaidated the AGID and got us ASF=1. */
@@ -436,7 +438,9 @@
         _dvdcss_error( dvdcss,
                        "ASF not 1 after reading disc key (region mismatch?)" );
         ioctl_InvalidateAgid( dvdcss->i_fd, &dvdcss->css.i_agid );
-        return -1;
+        dvdcss->i_method = DVDCSS_METHOD_TITLE;
+        memset( dvdcss->css.p_disc_key, 0, KEY_SIZE );
+        return 0;
     }
 
     /* Decrypt disc key using bus key */
